# Setup and Deployment - Windows

*Note: This documentation assumes a setup in XAMPP or similar. Some things may differ depending on environtment.*
---

### PHP, SQL Server, and Driver Setup

1. Download and install [Microsoft ODBC Driver 17 for SQL Server](https://docs.microsoft.com/en-us/sql/connect/odbc/download-odbc-driver-for-sql-server?view=sql-server-ver15)
2. Download [Microsoft Drivers for PHP for SQL Server](https://docs.microsoft.com/en-us/sql/connect/php/download-drivers-php-sql-server?view=sql-server-ver15)
3. The PHP Drivers package is mostly a ZIP file in an EXE. Run the EXE and have the files unzipped somewhere you can find them.
4. Locate the following files and copy them into in the PHP extensions directory. (On XAMPP this is XAMPP/php/ext)
	1. php_pdo_sqlsrv_74_ts_x64.dll
	2. php_sqlsrv_74_ts_x64.dll
5. Once you have these files in the extensions directory, rename them to:
	1. php_pdo_sqlsrv_74.dll
	2. php_sqlsrv_74_ts.dll
6. In the php.ini file, locate the Dynamic Extensions portion, you can do this by searching for "Dynamic Extensions."
7. At the end of the extensions list, insert the following two lines:
```
extension=php_pdo_sqlsrv_74.dll
extension=php_sqlsrv_74_ts.dll
```
8. Restart Apache.
9. Bring up PHP Info (like through an info.php file) and verify that pdo_sqlsrv is present in the information.
10. Once you get a library set up in TelePhony, give it a test run. You should be able to connect to and query the remote SQL Server database provided your connection strings are correct.

### sendmail Setup

1. Open sendmail.ini. (In XAMPP this is in the xampp/sendmail directory.)
2. Modify the file with the following changes.
```
smtp_server=smtp.gmail.com
smtp_port=587
smtp_ssl=tls
error_logfile=error.log
auth_username=whatever@email.com
auth_password=PasswordForAboveAccount
force_sender=whatever@email.com
hostname=localhost
```
3. Open the php.ini file. Search for "[mail function]" without the quotes.
4. Modify to look as below
```
; For Win32 only.
; http://php.net/smtp
SMTP=smtp.gmail.com
; http://php.met/smtp-port
smtp_port=587
sendmail_from=whatever@email.com
sendmail_path="\"C:\xampp\sendmail\sendmail.exe\" -t"
```