<?php

include_once "creds.php";

//Import PHPMailer classes into the global namespace
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
require 'C:\xampp\htdocs\vendor\autoload.php';

// Set up variables and database connections.

$GetLibrary = mysqli_query($localconn,"SELECT ServerID, ServerName, ServerIP, PolarisDB, User, Pass FROM PolarisServers WHERE ServerID = '5'");

$row = mysqli_fetch_row($GetLibrary);

$ServerID = $row[0];
$LibrarySystem = $row[1];
$ServerIP = $row[2];
$PolarisDB = $row[3];
$User = $row[4];
$Pass = $row[5];


// Set up the connection to Microsoft SQL Server Database
$serverName = $ServerIP;
$connectionOptions = array(
"Database" => $PolarisDB,
"Uid" => $User,
"PWD" => $Pass,
"ReturnDatesAsStrings" => "true"
);

// Red Alert Function - Sends email if telephony appears down.

function RedAlert() {
    // Set library system as email variable.
    $AlertLibrary = "Inland";

    //Create a new PHPMailer instance
    $mail = new PHPMailer;

    //Tell PHPMailer to use SMTP
    $mail->isSMTP();

    //Enable SMTP debugging
    // SMTP::DEBUG_OFF = off (for production use)
    // SMTP::DEBUG_CLIENT = client messages
    // SMTP::DEBUG_SERVER = client and server messages
    $mail->SMTPDebug = SMTP::DEBUG_SERVER;

    //Set the hostname of the mail server
    $mail->Host = 'smtp.gmail.com';
    // use
    // $mail->Host = gethostbyname('smtp.gmail.com');
    // if your network does not support SMTP over IPv6

    //Set the SMTP port number - 587 for authenticated TLS, a.k.a. RFC4409 SMTP submission
    $mail->Port = 587;

    //Set the encryption mechanism to use - STARTTLS or SMTPS
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;

    //Whether to use SMTP authentication
    $mail->SMTPAuth = true;

    //Username to use for SMTP authentication - use full email address for gmail
    $mail->Username = 'YourEmail@gmail.com';

    //Password to use for SMTP authentication
    $mail->Password = 'YourPassword';

    //Set who the message is to be sent from
    $mail->setFrom('YourEmail@gmail.com', 'TelePhony Alert');

    //Set an alternative reply-to address
    $mail->addReplyTo('YourEmail@gmail.com', 'Your Name');

    //Set who the message is to be sent to
    $mail->addAddress('AlertEmail@gmail.com', 'Another Name');

    //Set the subject line
    $mail->Subject = 'TelePhony Alert for '.$AlertLibrary.'!';

    //Read an HTML message body from an external file, convert referenced images to embedded,
    //convert HTML into a basic plain-text alternative body
    //$mail->msgHTML(file_get_contents('contents.html'), __DIR__);

    //Replace the plain text body with one created manually
    $mail->Body = 'Check telephony at '.$AlertLibrary.'. Parameters show it could be down.';

    //send the message, check for errors
    if (!$mail->send()) {
        echo 'Mailer Error: '. $mail->ErrorInfo;
    } else {
        echo 'Message sent!';
    //Section 2: IMAP
    //Uncomment these to save your message in the 'Sent Mail' folder.
    #if (save_mail($mail)) {
    #    echo "Message saved!";
    #}
    }
    
} // END RED ALERT FUNCTION

    // Today: This sets today's date for date comparison, not for the SQL query.
    $today = new DateTime("now");

    // Warning Date: This sets the date that triggers an alert. Recommend two (2) days difference from $today.
    $dateWarningSet = $today->sub(new DateInterval('P2D'));

    // Warning Date Format: This sets the format for date comparison.
    $dateWarning = $dateWarningSet->format('Y-m-d H:i:s.v');

    // Check date format: Formats the SQL result for comparison to the warning date.
    $checkdateFormat = ('Y-m-d H:i:s.v');

    // Warning date format: Formats the warning date for comparison to the SQL result.
    $dateWarningFormat = ('Y-m-d H:i:s.v');

    // When $alert > 0, then the alert is triggered and active.
    $alert = 0;

    // These dates are formatted for use in the SQL query.
    // UN-COMMENT THESE LINES TO ACTIVATE DYNAMIC DATES
    $dateToday = date('Ymd');
    $dateYesterday = date('Ymd', time() - 60 * 60 * 480); // Set for 20 days ago
    // DEBUGGING DATES - COMMENT THESE OUT IN PRODUCTION
    //$dateToday = '20200330';
    //$dateYesterday = '20200315';
    
    echo "\n\n";
    echo "Checking telephony at ".$LibrarySystem."\n";
    echo "-------------------------\n";
    echo "Query parameters\n";
    echo "* Today's date (Query format): ".$dateToday."\n";
    echo "\n";
    echo "* Yesterday's date (Query format): ".$dateYesterday."\n";
    echo "\n";
    echo "* Warning date: ".$dateWarning."\n";
    echo "-------------------------\n";
    
// Connect to the Microsoft SQL Database
$conn = sqlsrv_connect($serverName, $connectionOptions);
if($conn) {
    echo "Database connection: SUCCESSFUL\n";
} else {
    echo "Database connection: FAILURE<\n";
    die(FormatErrors(sqlsrv_errors()));
}

// SQL to pull the latest timestamp from the Polaris Transactions Database - NotificaitonLog table
$tsql = "SELECT TOP 1 [NotificationDateTime] FROM PolarisTransactions.Polaris.NotificationLog WHERE [DeliveryOptionID] IN (3,4,5) AND [NotificationDateTime] BETWEEN '$dateYesterday' and '$dateToday 23:59:59.999' ORDER BY [NotificationDateTime] DESC";

// Execute the SQL over the established connection.
$getNotifications = sqlsrv_query($conn, $tsql);
    
// Display any errors.
if ($getNotifications == FALSE)  
    die(FormatErrors(sqlsrv_errors()));
    
// Parse the result from the SQL query.     
while($row = sqlsrv_fetch_array($getNotifications, SQLSRV_FETCH_ASSOC))  
    {  
        echo "Last Outgoing Phone Call: ".($row['NotificationDateTime'])."\n"; 
        echo("\n");
        $checkdate = DateTime::createFromFormat($checkdateFormat, $row['NotificationDateTime']);
        //echo "Checkdate: ".$checkdate->format($checkdateFormat);
        if ($dateWarning > $checkdate->format($checkdateFormat))
            $alert = 1; //SHOULD BE 1 - CHANGED TO DEBUG
    }
if ($alert > 0) {
    RedAlert();
} else {
echo "Alert status: OK\n";
echo "-------------------------\n";
echo "Finishing up.\n";
}  
sqlsrv_free_stmt($getNotifications);  
sqlsrv_close($conn);
if (!$localconn) {
    die("\nLocal database connection failed: " . mysqli_connect_error()) . "\n";
} else {
    echo "\nConnection to local database successful.\n";
}
$sql = "INSERT INTO alertlog (LogID,LibraryName,AlertStatus) VALUES (NULL, '$LibrarySystem', '$alert')";
if(mysqli_query($localconn,$sql)){
    echo "Local database updated.\n";
} else {
    echo "Update to local database failed." . mysqli_error($localconn) . "\n";
}
mysqli_close($localconn);

?>