<?php
session_start();
    
// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true) {
  header("location: ../login.php");
exit;
}
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>TelePhoney</title>
        <link href="../css/styles.css" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
    </head>
    <body class="sb-nav-fixed">
        <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
            <a class="navbar-brand" href="../index.php">TelePhoney</a><button class="btn btn-link btn-sm order-1 order-lg-0" id="sidebarToggle" href="#"><i class="fas fa-bars"></i></button
            >
            <ul class="navbar-nav ml-auto ml-md-0">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="userDropdown" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                        <a class="dropdown-item" href="#">Settings - This does nothing yet.</a><a class="dropdown-item" href="#">Activity Log - This does nothing yet.</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="login.html">Logout - This also does nothing.</a>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- BEGIN SIDEBAR -- BEGIN SIDEBAR -->
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">Core</div>
                            <a class="nav-link" href="../index.php"
                                ><div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                Dashboard</a
                            ><!--
                            <div class="sb-sidenav-menu-heading">Interface</div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseLayouts" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                Layouts
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseLayouts" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="layout-static.html">Static Navigation</a><a class="nav-link" href="layout-sidenav-light.html">Light Sidenav</a></nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages"
                                ><div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                Pages
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapsePages" aria-labelledby="headingTwo" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                                    <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#pagesCollapseAuth" aria-expanded="false" aria-controls="pagesCollapseAuth"
                                        >Authentication
                                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                                    ></a>
                                    <div class="collapse" id="pagesCollapseAuth" aria-labelledby="headingOne" data-parent="#sidenavAccordionPages">
                                        <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="login.html">Login</a><a class="nav-link" href="register.html">Register</a><a class="nav-link" href="password.html">Forgot Password</a></nav>
                                    </div>
                                    <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#pagesCollapseError" aria-expanded="false" aria-controls="pagesCollapseError"
                                        >Error
                                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                                    ></a>
                                    <div class="collapse" id="pagesCollapseError" aria-labelledby="headingOne" data-parent="#sidenavAccordionPages">
                                        <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="401.html">401 Page</a><a class="nav-link" href="404.html">404 Page</a><a class="nav-link" href="500.html">500 Page</a></nav>
                                    </div>
                                </nav>
                            </div>
                            <div class="sb-sidenav-menu-heading">Addons</div>
                            <a class="nav-link" href="charts.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                                Charts</a
                            ><a class="nav-link" href="tables.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                Tables</a
                            >-->
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div class="small">Logged in as:</div>
                        <?php echo htmlspecialchars($_SESSION["username"]);?>
                    </div>
                </nav>
            </div>
            <!-- END SIDEBAR -- END SIDEBAR -->
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid">
                        <h1 class="mt-4">Checking Wolf River telephony</h1>
                        <ol class="breadcrumb mb-4">
                            <li class="breadcrumb-item"><a href="../index.php">Dashboard</a></li>
                            <li class="breadcrumb-item active">Telephony query</li>
                        </ol>
                        <!-- BEGIN LIBRARY STATUS CARDS -- BEGIN LIBRARY STATUS CARDS -->
                        <div class="row">
                            <div class="col-xl-12 col-md-6">
                            <!-- BEGIN PHP CODE -- BEGIN PHP CODE -->
                            <?php

                            include_once "creds.php";

                            $GetLibrary = mysqli_query($localconn,"SELECT ServerID, ServerName, ServerIP, PolarisDB, User, Pass FROM PolarisServers WHERE ServerID = '12'");

                            $row = mysqli_fetch_row($GetLibrary);

                            $ServerID = $row[0];
                            $LibrarySystem = $row[1];
                            $ServerIP = $row[2];
                            $PolarisDB = $row[3];
                            $User = $row[4];
                            $Pass = $row[5];


                            // Set up the connection to Microsoft SQL Server Database
                            $serverName = $ServerIP;
                            $connectionOptions = array(
                            "Database" => $PolarisDB,
                            "Uid" => $User,
                            "PWD" => $Pass,
                            "ReturnDatesAsStrings" => "true"
                            );

                            // Red Alert Function

                            function RedAlert() {
                                //$URL="http://localhost/telephony/actions/sendalert.php?Library=";
                                $AlertLibrary = "Wolf River";
                                //$AlertURL = $URL.$AlertLibrary;
                                echo "<h4><font color=\"red\">Alert status: RED - Check telephony at ".$AlertLibrary."</font></h4>";
                                //sleep(5);
                                //echo "<script type='text/javascript'>document.location.href='{$AlertURL}';</script>";
                                echo "<br><br>";
                                echo "<a href=\"../index.php\">Return to Dashboard</a><br/>";
                            }

                            // Today: This sets today's date for date comparison, not for the SQL query.
                            $today = new DateTime("now");

                            // Warning Date: This sets the date that triggers an alert. Recommend two (2) days difference from $today.
                            $dateWarningSet = $today->sub(new DateInterval('P2D'));

                            // Warning Date Format: This sets the format for date comparison.
                            $dateWarning = $dateWarningSet->format('Y-m-d H:i:s.v');

                            // Check date format: Formats the SQL result for comparison to the warning date.
                            $checkdateFormat = ('Y-m-d H:i:s.v');

                            // Warning date format: Formats the warning date for comparison to the SQL result.
                            $dateWarningFormat = ('Y-m-d H:i:s.v');

                            // When $alert > 0, then the alert is triggered and active.
                            $alert = 0;

                            // These dates are formatted for use in the SQL query.
                            // UN-COMMENT THESE LINES TO ACTIVATE DYNAMIC DATES
                            $dateToday = date('Ymd');
                            $dateYesterday = date('Ymd', time() - 60 * 60 * 480); // Set for 20 days ago


                            // DEBUGGING DATES - COMMENT THESE OUT IN PRODUCTION
                            //$dateToday = '20200330';
                            //$dateYesterday = '20200315';

                            // ECHO VALUES FOR DEBUGGING - COMMENT THESE OUT IN PRODUCTION
                            echo "<hr>";
                            echo "<h4>Query parameters</h4>";
                            echo "<strong>&bull; Today's date</strong> (Query format): ".$dateToday;
                            echo "<br/>";
                            echo "<strong>&bull; Previous date</strong> (Query format): ".$dateYesterday;
                            echo "<br/>";
                            echo "<strong>&bull; <font color=\"red\">Warning date:</font></strong> ".$dateWarning;
                            echo "<br/><hr>";

                            
                        // Connect to the Microsoft SQL Database
                        $conn = sqlsrv_connect($serverName, $connectionOptions);
                        if($conn) {
                            echo "<h4><font color=\"green\">Polaris database connection: SUCCESSFUL</font></h4><br/>";
                        } else {
                            echo "<h4><font color=\"red\">Polaris database connection: FAILURE</font></h4><br/>";
                            die(FormatErrors(sqlsrv_errors()));
                        }


                        // SQL to pull the latest timestamp from the Polaris Transactions Database - NotificaitonLog table
                        $tsql = "SELECT TOP 1 [NotificationDateTime] FROM PolarisTransactions.Polaris.NotificationLog WHERE [DeliveryOptionID] IN (3,4,5) AND [NotificationDateTime] BETWEEN '$dateYesterday' and '$dateToday 23:59:59.999' ORDER BY [NotificationDateTime] DESC";

                        // Execute the SQL over the established connection.
                        $getNotifications = sqlsrv_query($conn, $tsql);
                            
                        // Display any errors.
                        if ($getNotifications == FALSE)  
                            die(FormatErrors(sqlsrv_errors()));
                            
                        // Parse the result from the SQL query.     
                        while($row = sqlsrv_fetch_array($getNotifications, SQLSRV_FETCH_ASSOC))  
                            {  
                                echo "<strong>Last Outgoing Phone Call: </strong>".($row['NotificationDateTime']); 
                                echo("<br/><br/>");
                                $checkdate = DateTime::createFromFormat($checkdateFormat, $row['NotificationDateTime']);
                                //echo "Checkdate: ".$checkdate->format($checkdateFormat);

                                if ($dateWarning > $checkdate->format($checkdateFormat))
                                    $alert = 1;      
                            }

                        if ($alert > 0) {
                            RedAlert();
                        } else {
                        echo "<h4><font color=\"green\">Alert status: OK</font></h4>";
                        echo "<br><br>";
                        echo "<a href=\"../index.php\">Return to Dashboard</a><br/>";
                        }  

                        sqlsrv_free_stmt($getNotifications);  
                        sqlsrv_close($conn);

                        if (!$localconn) {
                            die("Local database connection failed: " . mysqli_connect_error()) . "<br/>";
                        } else {
                            echo "Connection to local database successful.<br/>";
                        }
                    
                        $sql = "INSERT INTO alertlog (LogID,LibraryName,AlertStatus) VALUES (NULL, '$LibrarySystem', '$alert')";
                    
                        if(mysqli_query($localconn,$sql)){
                            echo "Local database updated.<br/>";
                        } else {
                            echo "Update to local database failed." . mysqli_error($localconn) . "<br/>";
                        }
                    
                        mysqli_close($localconn);

                        ?>
                        <!-- END PHP CODE -- END PHP CODE -->
                            </div>   
                        </div>
                        <!-- END LIBRARY STATUS CARDS -- END LIBRARY STATUS CARDS -->
                    </div>
                </main>
                <footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">TelePhoney - Polaris telephony monitoring system</div>
                            <!--
                            <div>
                                <a href="#">Privacy Policy</a>
                                &middot;
                                <a href="#">Terms &amp; Conditions</a>
                            </div>
                        -->
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/chart-area-demo.js"></script>
        <script src="assets/demo/chart-bar-demo.js"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
    </body>
</html>
