<?php
include_once "actions/creds.php";

session_start();
    
// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true) {
  header("location: login.php");
exit;
}

?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>TelePhoney</title>
        <link href="css/styles.css" rel="stylesheet" />
        <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/js/all.min.js" crossorigin="anonymous"></script>
    </head>
    <body class="sb-nav-fixed">
        <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
            <a class="navbar-brand" href="index.php">TelePhoney</a><button class="btn btn-link btn-sm order-1 order-lg-0" id="sidebarToggle" href="#"><i class="fas fa-bars"></i></button
            >
            <!-- Navbar-->
            <ul class="navbar-nav ml-auto ml-md-0">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="userDropdown" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                        <a class="dropdown-item" href="#">Settings - This does nothing yet.</a><a class="dropdown-item" href="#">Activity Log - This does nothing yet.</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="logout.php">Logout</a>
                    </div>
                </li>
            </ul>
        </nav>
        <!-- BEGIN SIDEBAR -- BEGIN SIDEBAR -->
        <div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">Core</div>
                            <a class="nav-link" href="index.php"
                                ><div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                Dashboard</a
                            ><!--
                            <div class="sb-sidenav-menu-heading">Interface</div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseLayouts" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                Layouts
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseLayouts" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="layout-static.html">Static Navigation</a><a class="nav-link" href="layout-sidenav-light.html">Light Sidenav</a></nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages"
                                ><div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                Pages
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapsePages" aria-labelledby="headingTwo" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                                    <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#pagesCollapseAuth" aria-expanded="false" aria-controls="pagesCollapseAuth"
                                        >Authentication
                                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                                    ></a>
                                    <div class="collapse" id="pagesCollapseAuth" aria-labelledby="headingOne" data-parent="#sidenavAccordionPages">
                                        <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="login.html">Login</a><a class="nav-link" href="register.html">Register</a><a class="nav-link" href="password.html">Forgot Password</a></nav>
                                    </div>
                                    <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#pagesCollapseError" aria-expanded="false" aria-controls="pagesCollapseError"
                                        >Error
                                        <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                                    ></a>
                                    <div class="collapse" id="pagesCollapseError" aria-labelledby="headingOne" data-parent="#sidenavAccordionPages">
                                        <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="401.html">401 Page</a><a class="nav-link" href="404.html">404 Page</a><a class="nav-link" href="500.html">500 Page</a></nav>
                                    </div>
                                </nav>
                            </div>
                            <div class="sb-sidenav-menu-heading">Addons</div>
                            <a class="nav-link" href="charts.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                                Charts</a
                            ><a class="nav-link" href="tables.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                Tables</a
                            >-->
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div class="small">Logged in as:</div>
                        <?php echo htmlspecialchars($_SESSION["username"]);?>
                    </div>
                </nav>
            </div>
            <!-- END SIDEBAR -- END SIDEBAR -->
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid">
                        <h1 class="mt-4">Library Statuses</h1>
                        <ol class="breadcrumb mb-4">
                            <li class="breadcrumb-item active">Dashboard</li>
                        </ol>
                        <!-- BEGIN LIBRARY STATUS CARDS -- BEGIN LIBRARY STATUS CARDS -->
                        
                        <!-- ROW 1 -->
                        <div class="row">

                        <!-- CAMARILLO -->
                        <?php
                        $CamQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Camarillo' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($CamQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                                <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Camarillo</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-cam.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- COLLEGEDALE -->
                            <div class="col-xl-3 col-md-6">
                                <div class="card bg-primary text-white mb-4">
                                    <div class="card-body"><strong>Collegedale</strong><br/>
                                        Doesn't use telephony.<br/><br/></div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="#">No carrier.</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>

                        <!-- ESCONDIDO -->
                        <?php
                        $EscQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Escondido' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($EscQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Escondido</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-esc.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>

                        <!-- FARMER'S BRANCH -->

                        <?php
                        $FarmQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Farmers Branch' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($FarmQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Farmer's Branch</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-farm.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div> <!-- END ROW 1 -->

                        <!-- ROW 2 -->
                        <div class="row">

                        <!-- FINNEY COUNTY -->
                        <?php
                        $FinQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Finney County' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($FinQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <!-- COMMENTED OUT DUE TO COVID -->
                            <!-- <div class="card <?php //echo "$cardbg"; ?> text-white mb-4"> -->
                            <!-- COMMENTED OUT DUE TO COVID -->
                            <div class="card bg-primary text-white mb-4">
                                    <div class="card-body"><strong>Finney County - INACTIVE</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-fin.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- HOMESTEAD -->    
                            <div class="col-xl-3 col-md-6">
                                <div class="card bg-primary text-white mb-4">
                                <div class="card-body"><strong>Homestead</strong><br/>
                                        Doesn't use telephony.<br/><br />
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="#">No carrier.</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>

                        <!-- INLAND -->
                        <?php
                        $InlandQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Inland' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($InlandQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Inland</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-inland.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- MANASSAS PARK -->
                        <div class="col-xl-3 col-md-6">
                                <div class="card bg-primary text-white mb-4">
                                <div class="card-body"><strong>Manassas Park</strong><br/>
                                    Doesn't use telephony.<br/><br />
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="#">No carrier.</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        
                        </div> <!-- END ROW 2 -->

                        <!-- ROW THREE -->
                        <div class="row">                        

                        <!-- OSCEOLA -->
                        <?php
                        $OscQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Osceola' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($OscQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Osceola County</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-osc.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- RED OAK -->
                        <?php
                        $RedQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Red Oak' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($RedQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <!-- COMMENTED OUT DUE TO COVID -->
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                            <!-- COMMENTED OUT DUE TO COVID -->
                            <!-- <div class="card bg-primary text-white mb-4"> UNCOMMENT TO DISABLE -->
                                    <div class="card-body"><strong>Red Oak</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-redoak.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- SHASTA -->
                        <?php
                        $ShaQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Shasta' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($ShaQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Shasta</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-shasta.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        <!-- SUMTER COUNTY -->
                        <?php
                        $SumQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Sumter County' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($SumQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Sumter County</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-sumter.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>
                        
                        </div> <!-- END ROW 3 -->

                        <!-- ROW FOUR -->
                        <div class="row">

                        <!-- WOLF RIVER -->
                        <?php
                        $WolfQ = mysqli_query($localconn,"SELECT AlertStatus, LogDateTime FROM alertlog where LibraryName LIKE 'Wolf River' ORDER BY LogDateTime DESC LIMIT 1");
                        $row = mysqli_fetch_row($WolfQ);
                        if ($row[0] == 0){
                            $alertstatus = "Okay";
                            $cardbg = "bg-success";
                        } else {
                            $alertstatus = "Red";
                            $cardbg = "bg-danger";
                        }
                        ?>
                            <div class="col-xl-3 col-md-6">
                            <div class="card <?php echo "$cardbg"; ?> text-white mb-4">
                                    <div class="card-body"><strong>Wolf River</strong><br/>
                                        Last checked:<?php echo " ".$row[1]; ?> <br/>
                                        Last status:<?php echo " ".$alertstatus; ?>
                                    </div>
                                    <div class="card-footer d-flex align-items-center justify-content-between">
                                        <a class="small text-white stretched-link" href="actions/fetchdata-wrlc.php">Check telephony now</a>
                                        <div class="small text-white"><i class="fas fa-angle-right"></i></div>
                                    </div>
                                </div>
                            </div>

                        </div> <!-- END ROW 4 -->

                        <!-- END LIBRARY STATUS CARDS -- END LIBRARY STATUS CARDS -->
                    </div>
                </main>
                <footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">TelePhoney - Polaris telephony monitoring system</div>
                            <!--
                            <div>
                                <a href="#">Privacy Policy</a>
                                &middot;
                                <a href="#">Terms &amp; Conditions</a>
                            </div>
                        -->
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="js/scripts.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/chart-area-demo.js"></script>
        <script src="assets/demo/chart-bar-demo.js"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
        <script src="assets/demo/datatables-demo.js"></script>
    </body>
</html>
